Subject: Re: [PATCH net-next v5 1/5] netlink: extended ACK reporting

From: Johannes Berg <[email-masked]>
Date: Wed, 12 Apr 2017 17:21:43 +0200

On Wed, 2017-04-12 at 09:06 -0600, David Ahern wrote:
> 
> There was a discussion about side effects of adding strings (bloat,
> internationalization). Should ATTR_MSG be removed until that is
> ironed out? Leaving it in suggests it is ok to start adding strings.

I really do want the strings; this is why I named the struct member
"_msg" and added the NL_SET_ERR_MSG() macro, that will easily allow
both making the strings optional with Kconfig (bloat) and collecting
them into a separate data section (translation).

johannes